## Class Auth_OpenID_DiffieHellmanSHA1ServerSession

Description

A class implementing DH-SHA1 server sessions.

Located in /Auth/OpenID/Server.php (line 454)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_DiffieHellmanSHA256ServerSession | A class implementing DH-SHA256 server sessions.

Variable Summary
mixed $allowed_assoc_types
mixed $hash_func
mixed $needs_math
mixed $session_type
Method Summary
Auth_OpenID_DiffieHellmanSHA1ServerSession Auth_OpenID_DiffieHellmanSHA1ServerSession ( $dh, $consumer_pubkey)
void answer ( $secret)
void fromMessage ( $message)
void getDH ( $message)
Variables
mixed $allowed_assoc_types = array('HMAC-SHA1') (line 462)

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ServerSession::$allowed_assoc_types

mixed $hash_func = 'Auth_OpenID_SHA1' (line 463)

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ServerSession::$hash_func

mixed $needs_math = true (line 461)
mixed $session_type = 'DH-SHA1' (line 460)

An object that knows how to handle association requests with the Diffie-Hellman session type.

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ServerSession::$session_type

Methods
Constructor Auth_OpenID_DiffieHellmanSHA1ServerSession (line 465)
Auth_OpenID_DiffieHellmanSHA1ServerSession Auth_OpenID_DiffieHellmanSHA1ServerSession ( $dh, $consumer_pubkey)

- $dh
- $consumer_pubkey

answer (line 538)
void answer ( $secret)

- $secret

fromMessage (line 525)
void fromMessage ( $message)

- $message

Redefined in descendants as:

- Auth_OpenID_DiffieHellmanSHA256ServerSession::fromMessage()

getDH (line 471)
void getDH ( $message)

- $message

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2